#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ELobbyComparison {
    EqualToOrLessThan = -2,
    LessThan = -1,
    Equal = 0,
    GreaterThan = 1,
    EqualToOrGreaterThan = 2,
    NotEqual = 3,
}

impl ELobbyComparison {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::EqualToOrLessThan as i32 => Some(Self::EqualToOrLessThan),
            x if x == Self::LessThan as i32 => Some(Self::LessThan),
            x if x == Self::Equal as i32 => Some(Self::Equal),
            x if x == Self::GreaterThan as i32 => Some(Self::GreaterThan),
            x if x == Self::EqualToOrGreaterThan as i32 => Some(Self::EqualToOrGreaterThan),
            x if x == Self::NotEqual as i32 => Some(Self::NotEqual),
            _ => None,
        }
    }
}
